Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.remote
Class RuntimeComponentObjectInfo

`java.lang.Object
oracle.jbo.server.remote.RuntimeComponentObjectInfo`

All Implemented Interfaces:
  ComponentObjectListener

public class RuntimeComponentObjectInfo
extends java.lang.Object
implements ComponentObjectListener

The RuntimeComponentObjectInfo listens to events from the component instance and maintains these changes in its own cache.

Field Summary
`protected int` | `mCoId`
`protected PiggybackManager` | `mMgr`
`protected ComponentObjectImpl` | `obj`

Method Summary
`void` | `addEntry(java.io.Serializable ent)`
`void` | `addException(java.lang.Exception e)`
`void` | `eventOccured(java.util.EventObject event)` Event handling method for normal events from instance this agent is maintaining.
`void` | `exceptionOccured(java.lang.Exception e)` Event handling method when an exception (event) occured, basically creates a SvcMsgResponseException entry and adds it to the svcmsg.
`ComponentObjectImpl` | `getObject()` Return the component instance this class is maintaining.
`boolean` | `processChanges(RequestParams svcMsgReq)` Read the piggyback information coming from the client and apply it to the compoent.
`void` | `setCompId(int coId)` Tell the agent the ID of the component instance it is maintaining.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mMgr

    protected PiggybackManager mMgr

### obj

    protected ComponentObjectImpl obj

### mCoId

    protected int mCoId

Method Detail

### setCompId

    public void setCompId(int coId)

  Tell the agent the ID of the component instance it is maintaining.
  Parameters:
    `coId` - ID of the component instance.

### addEntry

    public void addEntry(java.io.Serializable ent)

### addException

    public void addException(java.lang.Exception e)

### getObject

    public ComponentObjectImpl getObject()

  Return the component instance this class is maintaining.
  Returns:
    the component instance this class is maintaining.

### processChanges

    public boolean processChanges(RequestParams svcMsgReq)

  Read the piggyback information coming from the client and apply it to the compoent. Currently not implemented.
  Parameters:
    `svcMsgReq` - the piggyback entry to apply the component

### exceptionOccured

    public void exceptionOccured(java.lang.Exception e)

  Event handling method when an exception (event) occured, basically creates a SvcMsgResponseException entry and adds it to the svcmsg.
  Specified by:
    `exceptionOccured` in interface `ComponentObjectListener`
  Parameters:
    `e` - Exception that needs to piggyback to the client.

### eventOccured

    public void eventOccured(java.util.EventObject event)

  Event handling method for normal events from instance this agent is maintaining.
  Specified by:
    `eventOccured` in interface `ComponentObjectListener`
  Parameters:
    `event` - the event that needs to piggyback to the client.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.